パスワードを忘れた? アカウント作成
この議論は賞味期限が切れたので、アーカイブ化されています。 新たにコメントを付けることはできません。

IE6、企業でまだまだ現役」記事へのコメント

  • by n_ayase (36873) on 2010年04月29日 11時34分 (#1756650) ホームページ 日記

    セキュリティリスクなんかは怖いけど、でもIE7にしたら社内システムが動かなくなるもん、って会社は、実はまだそこそこある気がする。
    そんなのは推奨されようがサポートが切れようが使い続けるから、外野がどうこう言っても仕方ないような。

    #互換性ないブラウザのバージョンアップ連発される側も被害者だと思わなくはないです

    --
    神社でC#.NET
    • 小生の勤務先では、「Micsoroft Updateせよ、但しIE8だけは入れるな! 」旨の指令が管理部門から毎月出てました(何故か今月は指令そのものが出ず)。その訳が

      | …IE7にしたら社内システムが動かなくなる…

      のかどうーかの情報開示は無いのですが、まぁ100%これだとは思っています。

      # 事務用PCは、当然vista以降はご法度。でももーじきxp買えなくなるんだけど、どーするもんだか。
      親コメント
    • by Anonymous Coward on 2010年04月29日 12時11分 (#1756676)
      ちょっと待て

      IE6のサポートはXPと同じく2014年まで続くんじゃないのか?
      親コメント
    • by Anonymous Coward on 2010年04月29日 12時15分 (#1756677)
      社内システムというか、会社というマクロな単位でウイルスやスパム対策してると、 製品によっては「Internet ExplorerやOffice Outlook、Outlook Expressの特定バージョンしかサポートしません」 というのは昔から良くありますね。
      ちょっと前にOutlook系のウイルスが流行った頃などは、そういった事情を知らずに、 単純にOutlookを排除すれば良いと考えたマスコミやヲタクの記事にウンザリしたものです。
      中には、X-Mailer見てOutlookが含まれていたら弾くといった対策を勧めている記事まである始末で、 何というか「この業界には自分のしている事が常に一番正しい」と思っている人ばかりなんだなとがっかりしました。
      親コメント
      • by Anonymous Coward

        > 自分のしている事が常に一番正しい
        「Internet ExplorerやOffice Outlook、Outlook Expressの特定バージョンしかサポートしません」という現状の「正しさ」を疑おうともしないあたりが典型ですね。

        • by Anonymous Coward

          http://srad.jp/it/comments.pl?sid=493380&cid=1756788 [srad.jp] とか、疑ってはいると思いますよ。

          現状を打破する方法の一つとして、「現状の課題をスルーしてそれが当然と洗脳する」マスコミ様の手法は、何もしないよりは有効かもしれません。

      • by Anonymous Coward

        よりセキュアな環境を築こうと思ったらやはり新しいものにしておいた方がよいと思います。
        特に最近はセキュリティ面では日進月歩なのですし、基本的に新しい環境の方がよりセキュアです。
        会社というマクロな単位で古い環境をいつまでも維持するのはセキュリティ上の問題を抱えることになりかねません。ウィルス対策ソフトとの兼ね合いなどで古い環境を維持するというのも、検証の工数をケチっているだけだと思います。
        もちろん完璧にセキュアな環境など無いので、費用対効果を検討した上でどの時点でバージョンを上げるかというのは当然ですが。しかしいまだにIE6を使い続けるというのはセキュリティ上好ましいことだとは到底思えません。

    • 確かにうちの会社でもIE6はバリバリ現役です。
      IE7、IE8でも使えなくはないですが、ところどころ別ブラウザで見なきゃいけなかったり。

      まあたかだか5~6年前までNetscape4.7を標準ブラウザにしてたような会社ですから
      今更驚きませんが。。。


      > #互換性ないブラウザのバージョンアップ連発される側も被害者だと思わなくはないです
      Safariなんかもそうですが、boundaryが変わったりするのは開発者目線だと面倒ですね。
      親コメント
      • by Anonymous Coward
        この話題は何度も出てて、その度に「世間知らず」呼ばわりされるのだけど、

        「Netscape4.7でしか使えないシステム」から「IE6で使えるシステム」への移行を経験した人間が、
        「IE6でしか使えないシステム」を正当化するのっておかしいと思うんだよね。
        その移行の不毛さは身に染みて理解してるはずだろ。

        元コメに対してでは無いけど、
        客の言うまま目先の事だけ考えて雑な実装してる会社ばっかじゃないんだぜ?
        お前より立派な仕事してる会社は皆「現実を知らない学生さん」なのかい?と訊きたい。
        顧客に対する啓蒙を「する前から」諦めてるなら、そんなの専門家じゃねーよ。
        • by Anonymous Coward
          移行を経験したからこそ、移行コストの高さが身にしみており、もう移行はやりたくない、IE6で引っ張れるだけ引っ張ってから次に移行する、という判断をするのかもよ。
      • by Anonymous Coward

        >まあたかだか5~6年前までNetscape4.7を標準ブラウザに

        どうも時空のねじれが生じているようですね。
        弊社では未だに一部システムはNN4じゃないと動かないのですが、そうか、ようやくわかりました。弊社だけ時間の流れるスピードが遅いようです。

    • by Anonymous Coward

      だからといって、社外のサイトまでそのまま見に行くってのはイクナイ・・・

      別のブラウザ入れるとかして対処した方が良い。

      • by Anonymous Coward

        いや、それで社内ネットワークがマルウェア感染でずたずたになったりしたら、IT部門も少しは懲りて重い腰上げてくれるかなと。

        • by Anonymous Coward

          気付くような被害の出るマルウェアにやられるならまだマシかと。
          一番怖いのはひっそりと情報収集やられるようなマルウェア。

        • by Anonymous Coward

          IT部門は腰を上げたくて仕方ないんだけど、
          もともとが予算が回ってこない上に、
          予算が潤沢にあった他部門が勝手に07年までにシステム構築を行って、
          しかもそのメンテが08年以来予算が無くなってできなくなってしまったというケースとかざらにありそうです。
          まぁあるんだけどさ、少なくとも1社は。

          #だから先行してそこを考慮に入れて開発しとけと何度も部門には言ったのに……

    • by Anonymous Coward
      うちの会社の社内システムがIE5.5SP2とIE6SP1しか保証していません。
      IE7は使用許可は出ていますが、顧客対応など用途が限定されています。IE8は使用禁止。
      Firefox等IE以外のWebブラウザについては言及されていませんが、正常動作しない場合がほとんどなので実質使えません。
      IEのバージョンを限定している理由は検証工数も費用もないからというのが会社の説明です。
      • by Anonymous Coward on 2010年04月29日 13時15分 (#1756703)
        同一OSインスタンス上に複数のバージョンのIEを同居させることができないのだから、
        社内システムの当該サーバとしか通信できないように設定した仮想マシンにレガシーIEをインストールしたものを、
        情シスが社内に配布すべきでしょう。
        ライセンスが余分に必要で金がかかるとはいえ、検証して修正するコストや、セキュリティホールになるのよりは安いでしょう。
        親コメント
        • Tredosoft のツールとかインストーラ [tredosoft.com]じゃないですか。仮想マシンだと、そもそも普通の社内クライアント機だとメモリが足らないのでまた別途騒ぎになるでしょうし。私のとこでも Office 2007 でメモリ増設という嵐がやっと過ぎたところ。

          まぁ、そもそも金がないから IE6 固定なんであって、クライアント機に何かを展開するような金があるなら本来は社内システムの方を直すとも言う。大抵予算もとが違うので、そうはならないんですけど。

          親コメント
    • by Anonymous Coward
      結局は、環境依存のコードを書く方が悪い気がします。

      バイトオーダレベルの話は別として。
      • 同感ですね。不景気の折、社内システムは往々にして更新が後回しこともありそうだし、数世代先のブラウザで使用されることも想定しておく必要があるかと。

        # ちなみに、私が携わっている社内システムは、テキストブラウザでも大丈夫!なはず。

        親コメント
        • >同感ですね。不景気の折、社内システムは往々にして更新が後回しこともありそうだし、数世代先のブラウザで使用されることも想定しておく必要があるかと。

          まさにその通り。W3C勧告に準拠したコードで書いておけば、html5に成ろうがhtml6に成ろうが規格をアッパーコンパチな仕様で策定してくれさえ居れば、少なくとも全面書き直しの様な最悪な事態は避けうると思います。
          長期的に見た場合環境依存で構築するより結果的にコストダウンになる筈です。

          ま、さっさと切り捨てた方が良いレガシーな仕様と言った物が存在する事も事実ですし、コンパチだからと言って安心はして居られませんが・・・

          所が、クライアント側の担当者が「PC初心者」位の知識しか無いとここら辺を理解(出来|してくれ)ないのですorz

          #この場合「先方の担当者がtakoだから」とか言うと後々大変な事に成ります(爆
          #私?IT関連のテクノロジーはソウトウェアもハードウェアも日進月歩ですから永遠にtakoですよ・・・
          親コメント
          • by Anonymous Coward

            IE6でしか動かない話でW3Cを持ち出すのは筋違いじゃないの?

            Windows2000だからいまだIE6を使わざるをえないけどHTML/CSSのみのページなら
            IE6で表示がおかしくなることは良くあってもIE6じゃないと見えないページはそうないぞ。
            HTML/CSSのみならIE6とIE7はIE方言対応という意味ではそうそうかわらんし。
            非互換なのってActiveXとかそのへんの関係だと思うのだけど。
            ActiveXを使うとFirefoxとかOperaでは手も足も出ないし。

            • ん~先にリプライしたものが下にあるからしょうがないかもしれませんが、昔、環境に依存するシステムを作ってしまった・・・それは自分のポリシーがどう有っても自分が折れるしか無いと言った状況も有ると思います。
              しかし、現時点から開始されるプロジェクトにて、IE6対応とか言われてもね・・・
              「オペラ」なり「ふぉくすけ」なりでも動く環境を構築して行きませんか?という事です。

              私も部屋にNT5.0迄しか走らない妖しげなアーキテクチャのWS持ってたりしますので、IEにする限りどうやっても6までしか走らない環境がある事も重々承知してます。
              ニコイチでP3-600Mhz*2 512RAM(ヘキサチャンネル)の変な奴。
              でも、変な奴程愛着が沸く訳でして・・・

              #妖しいと言えば、CZ604が現役な時点でかなりアレだと思う・・・
              #SGI320iが何気にIE6での確認用に活躍しているのは内緒です。
              親コメント
          • by Anonymous Coward
            > 所が、クライアント側の担当者が「PC初心者」位の知識しか無いとここら辺を理解(出来|してくれ)ないのです orz

            「PC初心者」でなく、ベテランのSEでも理解してない...... というか、理解してて敢えて無視するってことも多いですな。

            標準規格に準拠するコストを説明できないもの。「社内ではIE6しか使ってないのに、他のブラウザで動くようにするためのコスト」を正当化できる理由ってなかなかないよ。んで、数年後にハマるんですよね。わかっちゃいるんだけど ^^;)。

            ウチの会社にもありますよ。Webアプリで、Javaで組まれているのになぜかIE6でしか動かない、ナゾ仕様の社内システム。
          • by Anonymous Coward

            IE6はW3Cに準拠していないのだが
            当時のブラウザ状況は製品・規格ともに混沌としてましたよ

      • by Anonymous Coward on 2010年04月29日 13時54分 (#1756725)

        多少レイアウトが崩れるのをバグ扱いしないで頂けるなら、依存性の高いコードを減らせます。

        親コメント
      • by Anonymous Coward
        作ってる側として、環境に依存したシステム作ってるつもりなんかなくて
        事実依存してないんだけど、未来の版のブラウザなんか検証できないし
        出てから検証するための提案しても当然通らず、結局大幅な機能追加か
        リプレイスのときにしか対応ブラウザの版があがらないことに
    • by Anonymous Coward

      うちもIE6強制
      FA/CIM課の方針なのだろうが、詳しい理由なんて知らない(知りたくも無い)
      Firefoxも消せと言われたし、IEのバージョンアップも勝手に出来ない

    • by Anonymous Coward

      >でもIE7にしたら社内システムが動かなくなるもん

      多くの場合、動くかどうかの検証さえしてない。

      プログラムを発注された側からすれば
      検証するにも金かかるし、ちょっとしたレイアウトの崩れに対応するにも金かかる。

      そうするとベンダは非対応です(対応してほしければお金頂戴)と回答する。

      それを受けた発注者は今使えるものに手を入れるのに払う金はないので
      IE6を使い続けるように、という指示を現業部門にだす。

      ただそれだけのこと。

      そうなんだけど、ITを供給する側にさえXPでいいじゃん、IE6でいいじゃんという空気があるのがねぇ。

Stay hungry, Stay foolish. -- Steven Paul Jobs

処理中...